<div data-drawer [attr.data-collapsed]="collapsed
  && breakpoint.current !== ui.breakpoint.mobile && breakpoint.current !== ui.breakpoint.tablet">
  <jnt-button *jntMaxFor="ui.breakpoint.tablet"
              [scheme]="ui.scheme.secondary"
              [icon]="ui.icons.menu"
              (click)="toggle()" data-burger>
  </jnt-button>

  <div data-scroll [attr.data-windows]="device.platform.windows">
    <button type="button" (click)="collapsed = !collapsed">
      <jnt-stack [orientation]="ui.orientation.horizontal" [align]="ui.align.center">
        <jnt-icon data-icon [icon]="collapsed ? ui.icons.doubleChevronRight: ui.icons.doubleChevronLeft"></jnt-icon>
        <span *ngIf="!collapsed">{{'action.hide_sidebar' | translate}}</span>
      </jnt-stack>
    </button>
    <jnt-stack [align]="ui.align.stretch">
      <ng-container *ngIf="!!headerTemplate">
        <ng-container *ngTemplateOutlet="headerTemplate;
        context: {
          collapsed: collapsed && breakpoint.current !== ui.breakpoint.mobile && breakpoint.current !== ui.breakpoint.tablet,
          toggle: toggle.bind(this)
        }">
        </ng-container>
      </ng-container>
      <jnt-menu data-menu *ngIf="!!menu"
                context="popover-aside-sub-menu"
                [orientation]="ui.orientation.vertical"
                [collapsed]="collapsed && breakpoint.current !== ui.breakpoint.mobile && breakpoint.current !== ui.breakpoint.tablet"
                [placement]="ui.placement.fixed"
                [spacing]="menu.spacing"
                (selected)="toggle()">
        <jnt-menu-item *ngFor="let item of menu.items"
                       [title]="item.title"
                       [disabled]="item.disabled"
                       [link]="item.link"
                       [icon]="item.icon"
                       [matching]="item.matching"
                       [target]="item.target">
          <jnt-badge *ngFor="let badge of item.badges"
                     [value]="badge.value"
                     [text]="badge.text"
                     [position]="ui.position.inline"
                     [color]="badge.color">
          </jnt-badge>
          <jnt-sub-menu *ngIf="!!item.submenu">
            <jnt-sub-menu-item *ngFor="let subitem of item?.submenu.items"
                               [title]="subitem.title"
                               [disabled]="subitem.disabled"
                               [link]="subitem.link"
                               [icon]="subitem.icon"
                               [matching]="subitem.matching"
                               [target]="subitem.target">
              <jnt-badge *ngFor="let badge of subitem.badges"
                         [value]="badge.value"
                         [text]="badge.text"
                         [position]="ui.position.inline"
                         [color]="badge.color">
              </jnt-badge>
            </jnt-sub-menu-item>
          </jnt-sub-menu>
        </jnt-menu-item>
      </jnt-menu>
      <ng-container *ngIf="!!footerTemplate">
        <ng-container *ngTemplateOutlet="footerTemplate;
        context: {
          collapsed: collapsed && breakpoint.current !== ui.breakpoint.mobile && breakpoint.current !== ui.breakpoint.tablet,
          toggle: toggle.bind(this)
        }">
        </ng-container>
      </ng-container>
    </jnt-stack>
  </div>
</div>
<div data-overlay (click)="opened = false"></div>
